Ticket #348 (closed defect: fixed)

Opened 5 years ago

Last modified 5 years ago

Issue with OpenSSL in baremetal node image

Reported by: claris Owned by: jonmills
Priority: major Milestone:
Component: Infrastructure: Images Version: baseline
Keywords: openssl, bare metal node Cc:

Description

Yum installs on bare metal nodes that depend on openssl fail with the following message:
Error: Package: 1:xrootd-libs-3.3.6-1.el6.x86_64 (epel)

Requires: libssl.so.10(libssl.so.10)(64bit)

However, both libssl and libcrypto are present under /usr/lib64

Fixes:
1- JS suggested to uninstall current version of openssl and install the one at http://mirror.centos.org/centos/6/os/x86_64/Packages/openssl-1.0.1e-15.el6.x86_64.rpm. This solved the problem.

2- JS also suggested trying TAMU bare metal since it is newer. TAMU works -- I tried installing xrootd, gridftp and glusterfs.

Note that this problem is not encountered in older versions of Centos (6.3 and 6.4) available in VM images.

Change History

Changed 5 years ago by ibaldin

Has this been resolved?

Changed 5 years ago by jonmills

It is resolved at some sites and not others. Typically, it is resolved by updating the xCAT stateless image from CentOS 6.4 to CentOS 6.5. I'll try to create a list of sites where it's lacking. I've been trying to update as we go site to site updating ORCA.

Changed 5 years ago by ibaldin

  • status changed from new to closed
  • resolution set to fixed

Has been resolved on most racks by updating the image.

Note: See TracTickets for help on using tickets.